package nlib.col.service;

import java.io.Serializable;

/**
 * <pre>
 * @Class Name : RisVO.java
 * 
 * @Description : Ris 통신규약 항목 VO
 * 
 * 
 * @프로젝트명: 지방문화원 통합자료관리시스템 구축사업 (2021)
 *
 * </pre>
 *
 * @ ------------    --------    ---------------------------
 * @ 수정일                     수정자             수정내용
 * @ ------------    --------    ---------------------------
 * @ 2021. 9. 23.    JSYOO       최초 생성

 * 
 * 
 * @author 이씨플라자 * DIGITALSHIP JSYOO
 * @since 2021. 9. 23.
 * @version 1.0
 *
 */
public class RisVO implements Serializable {
	
	/* 기존 지역 n 문화 사이트 RIS 항목 */
	private String typeDivCd;		/* 	참조유형 			TY */
	private String title;			/*  제목 				TI */
	private String subTitle;		/*  부제목 			T2 */
	private String creatYyyy;		/*  생산일자 (YYYY) 	PY */
	private String keyword;			/*  키워드 (ex: 수원사랑) KW */
	private String UR;		/* URL */
	
	/*private String AB;		 요약 
	private String DA;		 날짜 
	private String LA;		 언어 (ex: Korean) */
	
	/* RIS 추가 항목 */
	private String masterId;		/* 자료번호	 ID */
	private String M3;		/* 주제분야명 */
	private String rprsThumbUrl;	/* 썸네일이미지 URL		 L4 */
	private String stakrmMngNo;		/* 관리번호			 M1 */
	private String producer;		/* 생산자(저자)		 A1 */
	private String orgNm;			/* 생산기관명	 	   	 PP */
	
	public String getTypeDivCd() {
		return typeDivCd;
	}
	public String getTy() {
		return typeDivCd;
	}
	public void setTypeDivCd(String typeDivCd) {
		this.typeDivCd = typeDivCd;
	}
	public String getTitle() {
		return title;
	}
	public String getTt() { 
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getSubTitle() {
		return subTitle;
	}
	public String getT2() {
		return subTitle;
	}
	public void setSubTitle(String subTitle) {
		this.subTitle = subTitle;
	}
	public String getCreatYyyy() {
		return creatYyyy;
	}
	public String getPy() {
		return creatYyyy;
	}
	public void setCreatYyyy(String creatYyyy) {
		this.creatYyyy = creatYyyy;
	}
	public String getKeyword() {
		return keyword;
	}
	public String getKw() {
		return keyword;
	}
	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}
	public String getUR() {
		return UR;
	}
	public void setUR(String uR) {
		UR = uR;
	}
	public String getMasterId() {
		return masterId;
	}
	public String getId() {
		return masterId;
	}
	public void setMasterId(String masterId) {
		this.masterId = masterId;
	}
	public String getM3() {
		return M3;
	}
	public void setM3(String m3) {
		M3 = m3;
	}
	public String getRprsThumbUrl() {
		return rprsThumbUrl;
	}
	public String getL4() {
		return rprsThumbUrl;
	}
	public void setRprsThumbUrl(String rprsThumbUrl) {
		this.rprsThumbUrl = rprsThumbUrl;
	}
	public String getStakrmMngNo() {
		return stakrmMngNo;
	}
	public String getM1() {
		return stakrmMngNo;
	}
	public void setStakrmMngNo(String stakrmMngNo) {
		this.stakrmMngNo = stakrmMngNo;
	}
	public String getProducer() {
		return producer;
	}
	public String getA1() {
		return producer;
	}
	public void setProducer(String producer) {
		this.producer = producer;
	}
	public String getOrgNm() {
		return orgNm;
	}
	public String getPp() {
		return orgNm;
	}
	public void setOrgNm(String orgNm) {
		this.orgNm = orgNm;
	}
}
